org.apache.ode.bpel.runtime.breaks

## Class ActivityBreakpointImpl

- java.lang.Object
- - org.apache.ode.bpel.runtime.breaks.BreakpointImpl
  - - org.apache.ode.bpel.runtime.breaks.ActivityBreakpointImpl

- All Implemented Interfaces:
    java.io.Serializable, ActivityBreakpoint, Breakpoint

      public class ActivityBreakpointImpl
      extends BreakpointImpl
      implements ActivityBreakpoint

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActivityBreakpointImpl(java.lang.String uuid, java.lang.String activityName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `activityName()` Get the name of the activity that has been breakpointed.
    `boolean` | `checkBreak(BpelEvent event)`

    - ### Methods inherited from class org.apache.ode.bpel.runtime.breaks.BreakpointImpl

      `equals, hashCode, isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ode.bpel.bdi.breaks.Breakpoint

      `isEnabled, setEnabled`

- - ### Constructor Detail

    - #### ActivityBreakpointImpl

          public ActivityBreakpointImpl(java.lang.String uuid,
                                        java.lang.String activityName)

  - ### Method Detail

    - #### activityName

          public java.lang.String activityName()

      Description copied from interface: `ActivityBreakpoint`
      Get the name of the activity that has been breakpointed.
      Specified by:
        `activityName` in interface `ActivityBreakpoint`
      Returns:
        the name of the activity
      See Also:
        `ActivityBreakpoint.activityName()`

    - #### checkBreak

          public boolean checkBreak(BpelEvent event)

      Specified by:
        `checkBreak` in class `BreakpointImpl`
      See Also:
        `BreakpointImpl.checkBreak(org.apache.ode.bpel.evt.BpelEvent)`